from obspy import read
from obspy import UTCDateTime
#from obspy.clients.filesystem.sds import Client
#root = '/etrepo/data-sites/sosenattos/ETSCOPE'
#root = '/homes/digiovanni/ET_PROVA'
#client = Client(root)
from obspy.signal import PPSD
from obspy import read_inventory
from obspy.clients.fdsn import Client as remoto
client = remoto("INGV")

#inv = read_inventory('/home/mdigiovanni/dataless/Sos_Enattos.xml')
#inv = read_inventory('/scratch/SosEnattos/Rosmini/ET_SOE0_DECEMBER.seed')
inv = client.get_stations(network="IV", station="GIGS", loc="", channel="HH*", level="response")

Start = UTCDateTime('2020-1-1T00:00')
Stop = UTCDateTime('2020-12-31T23:59')

#stazioni = ['SOE0', 'SOE1', 'SOE2']
#channels = ['HHZ', 'HHE', 'HHN']
#network  =  'ET'

stazioni = ['GIGS']
channels = ['HHZ', 'HHE', 'HHN']
network  =  'IV'

for sta in stazioni:
    
    for cha in channels:

        for day in range (Start.julday,Stop.julday):
            curday=UTCDateTime(year=2020,julday=day)
            print(str(sta) + ' ' + str(cha) + ' Processing ' ,curday)
            #sta='SOE2'
            
            try:
            
                st = client.get_waveforms(station=sta,channel=cha,network=network,location='',
                                       starttime=curday,endtime=curday+86400)
                tr = st.select(channel=cha)[0]
                soe0 = PPSD(tr.stats, metadata=inv, skip_on_gaps=True)
                soe0.add(st)
                savefile = '/home/mdigiovanni/obspy_ppsd/GIGS/'+soe0.id+'.'+str(curday.julday)+'.2020.npz'
                soe0.save_npz(filename=savefile)
                
            except:
                
                print('skip day')