import warnings
warnings.filterwarnings('ignore')
import numpy as np
import sys
import matplotlib.pyplot as plt
sys.path.append('/homes/digiovanni/my_python_modules')
from seismo_util import rose_plot, rotation, rotation_matrix
from obspy import read
from obspy import UTCDateTime
from obspy.clients.filesystem.sds import Client
root = '/archive/AMIATA'
archive = Client(root)
from obspy.signal.polarization import polarization_analysis
from obspy.signal.polarization import flinn
from obspy import read_inventory

Start    = UTCDateTime('2020-04-1T00:00')
ore      = 24*(30+31+30)
pre_filt = [9e-2,1e-1,0.3,0.35]
angoli   = 0

inv  = read_inventory('/homes/digiovanni/Sos_Enattos.xml')

for i in range(ore):
    
    Start_0 = Start + i*3600
    
    print(Start_0)

    try:
    
        st = archive.get_waveforms(station='SOE0',channel='HH?',network='ET',location='',starttime=Start_0,endtime=Start_0 + 3600*2)
        st.remove_response(output="ACC", water_level=60,inventory=inv, pre_filt = pre_filt)
        st = st.sort(keys=['channel'], reverse=True)
        
        test_flinn = polarization_analysis(st, 3600, 0.5, 0.1, 0.3, Start_0, Start_0 +3600*2, verbose=False, method='flinn', var_noise=0.0, adaptive=True)
        angoli = np.append(angoli, np.array(test_flinn['azimuth']) + 180)
        
    except ValueError:
        
        print('Skip Segment')
        

angoli = angoli * np.pi/180    
    
ax = plt.subplot(projection='polar')
rose_plot(ax, angoli, bins = 24, density = False)
ax.set_theta_zero_location("N")
ax.set_theta_direction(-1)
plt.tight_layout()
plt.savefig('test_flinn.png')